### Method

# EvinceDocument Annotation set_name

#### Declaration [src]

    gboolean
    ev_annotation_set_name (
      EvAnnotation* annot,
      const gchar* name
    )

#### Description [src]

Set the name of `annot`. You can monitor changes of the annotation name by connecting to the notify::name signal on `annot`.

Sets property | `EvinceDocument.Annotation:name`

#### Parameters

`name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` when the name has been changed, `FALSE` otherwise.